﻿/*!
 * apracjs
 * Copyright(c) 2017 by wssf
 * 2017-06-14
 * aprac系统内部使用，不能提供给业务，否则缓存容易被业务clear或remove，或覆盖等，业务使用cache.js
 */

'use strict'

var cache = {};
exports.add = function cacheManager$add(key, value) {
    if (key === null || key === undefined) {
        throw new TypeEror("cacheManger.add的key不能为null");
    }
    cache[key] = value;
}

exports.get = function cacheManager$get(key) {
    return cache[key];
}

exports.remove = function cacheManager$remove(key) {
    var value = cache[key];
    delete cache[key];
    return value;
}

exports.clear = function cacheManager$clear() {
    cache = {};
}