/*!
 * apracjs
 * Copyright(c) 2017 by wssf
 * 2017-04-26
 */

'use strict'
var os = require('os');
var utils = require('./utils.js');
var stringUtils = require('./stringUtils.js');

exports.newCuid = function cuid$newCuid() {
  var lo;
  try {
    if (!inited) {
      init();
    }

    lo = getLo();
    if (lo == lastLo || lo < lastLo + loInc) {
      lo = lastLo + loInc;
      loInc++;
    } else {
      lastLo = lo;
      loInc = 1;
    }
  } catch (ex) {

  } finally {

  }

    var hi = _hi << 48; // 左移6个字节
    return hi + lo;
};

exports.newCuidString = function cuid$newCuidString() {
  var lo;
  try {
    if (!inited) {
      init();
    }

    lo = getLo();
    if (lo == lastLo || lo < lastLo + loInc) {
      lo = lastLo + loInc;
      loInc++;
    } else {
      lastLo = lo;
      loInc = 1;
    }
  } catch (ex) {

  } finally {

  }

  //var hi = _hi << 48; // 左移6个字节
  return _hi2 + utils.padLeft(lo.toString(),12,"0");
};


var inited = false;
var lastLo = null;
var loInc = 1;
var _hi = 0;
var _hi2 = null;
var TimestampBase = (new Date()).getTime();
var MinDateTime = (new Date("2017-06-26 00:00:00")).getTime();
var TickBase = TimestampBase - MinDateTime;

function init() {
  inited = true;

  lastLo = getLo();

  makeHi();
}

function getLo() {
  var ticks = (new Date()).getTime() - TimestampBase;
  return TickBase + ticks;
}

function makeHi() {
  var hc, _siteId = utils.format("{0}_{1}", os.hostname(), process.cwd()); // 机器名称+网站路径
  hc = parseInt(utils.getHashCode(_siteId));
  _hi = hc & 32; // JavaScript最大整数精度2*53位，时间戳48位，hi剩余5位
  _hi2=utils.padLeft(hc.toString(),12,"0");
}

function LoToDateTime(lo) {
  return MinDateTime + lo;
}

function LoToLocalDateTime(lo) {
  return new Date(LoToDateTime(lo));
}
